﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Configuration;
using System.Web.Mvc;
using WebConfigPractice.ServiceCode;

namespace WebConfigPractice.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            //var settings = WebConfigurationManager.GetWebApplicationSection("appSettings");
            //или
            NameValueCollection model = WebConfigurationManager.AppSettings;
            return View(model);
        }

        public ActionResult CustomConfig()
        {
            WebConfigurationManager.AppSettings["defaultCity"] = "New York";
            UserCustomSettingsConfigGroup model = (UserCustomSettingsConfigGroup)WebConfigurationManager.OpenWebConfiguration("/").GetSectionGroup("userCustomSettings");
            return View(model);
        }

        public ActionResult ConnectionStrings()
        {
            ConnectionStringSettingsCollection model = WebConfigurationManager.ConnectionStrings;
            return View(model);
        }
    }
}